Bug 320991 - NoneType object has no attribute 'lower' (unconfigured NIC in text install)
NoneType object has no attribute 'lower' (unconfigured NIC in text install)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Blocker
  Show dependency treegraph
 
Reported: 2007-10-05 18:37 EDT by John Reiser
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-10 14:42:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2007-10-05 18:37:47 EDT
Description of problem: Text-mode install via http errors out when there is an
unconfigured [and unused] ethernet interface.


Version-Release number of selected component (if applicable):
anaconda-11.3.0.36


How reproducible: haven't tried


Steps to Reproduce:
1. On a machine with more than one ethernet interface, boot the rescue disk,
choose new install, http method.
2. Configure only the builtin ethernet interface (usually the last one in the
list), leaving all the other ethernet [cards] UNCONFIGURED.
3.
  
Actual results:Exception Occurred
"/usr/lib/anaconda/netowrk.ph", line 135, in __str__
  if self.get('bootproto').lower() != 'dhcp' ...



Expected results: No exception


Additional info: graphical install gets no Exception.
Comment 1 John Reiser 2007-10-05 18:40:31 EDT
Arrggghhhh, typos:
"/usr/lib/anaconda/network.py", line 135, ...

AttributeError: 'NoneType' object has no attribute 'lower'
Comment 2 Jeremy Katz 2007-10-10 14:42:58 EDT
Fixed in CVS

Note You need to log in before you can comment on or make changes to this bug.